FSTAB(5)

NAME
fstab, mtab - list of file systems to mount, mounted file system table.

SYNOPSIS
/etc/fstab

/etc/mtab

DESCRIPTION
/etc/fstab is a table of file system to mount at boot time, /etc/mtab is a table of currently mounted file systems as maintained by mount and umount.

/etc/fstab is not read by mount as it should be. It is instead a simple shell script listing the two or three devices that MINIX 3 needs to operate: The device names of the root file system, the swap file system (optional), and the file system for /usr.

/etc/mtab contains lines of four fields. The layout is:

    device	directory	type	options

These fields may be explained as follows:

device
    A block special device.

directory
    Mount point.

type
    Either 1, 2, or swap, indicating a V1 or a V2 file system, or swap space.

options
    Either ro, or rw, indicating a read-only or read-write mounted file system.

FILES

/etc/fstab
    Shell script naming three important file systems.

/etc/mtab
    List of mounted file systems.

SEE ALSO
printroot(8), mount(1), fsck(1), mkfs(1).

BUGS
/etc/fstab is a joke.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)